trmat {spatial} | R Documentation

## Evaluate Trend Surface over a Grid

### Description

Evaluate trend surface over a grid.

### Usage

    trmat(obj, xl, xu, yl, yu, n)

### Arguments

`obj` | object returned by `surf.ls` or `surf.gls`
`xl` | limits of the rectangle for grid
`xu` |
`yl` |
`yu` |
`n` | use `n` x `n` grid within the rectangle

### Value

list with components `x`, `y` and `z` suitable for `contour` and `image`.

### References

Ripley, B. D. (1981) Spatial Statistics. Wiley.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`surf.ls`, `surf.gls`

### Examples

    data(topo, package="MASS")
    topo.kr <- surf.ls(2, topo)
    trsurf <- trmat(topo.kr, 0, 6.5, 0, 6.5, 50)

[Package spatial version 7.3-5 Index]